Reference documentation and code samples for the Compute V1 Client class ReservationSlotsListResponse.
A list of reservation slots within a single reservation.
Generated from protobuf message google.cloud.compute.v1.ReservationSlotsListResponse
Namespace
Google \ Cloud \ Compute \ V1Methods
__construct
Constructor.
| Parameters | |
|---|---|
| Name | Description |
data |
array
Optional. Data for populating the Message object. |
↳ id |
string
The unique identifier for the resource; defined by the server. |
↳ items |
array<ReservationSlot>
A list of reservation slot resources. |
↳ kind |
string
The type of resource. Alwayscompute#reservationSlot for a list of reservation slots. |
↳ next_page_token |
string
This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results. |
↳ self_link |
string
The server-defined URL for this resource. |
↳ warning |
Warning
An informational warning message. |
getId
The unique identifier for the resource; defined by the server.
| Returns | |
|---|---|
| Type | Description |
string |
|
hasId
clearId
setId
The unique identifier for the resource; defined by the server.
| Parameter | |
|---|---|
| Name | Description |
var |
string
|
| Returns | |
|---|---|
| Type | Description |
$this |
|
getItems
A list of reservation slot resources.
| Returns | |
|---|---|
| Type | Description |
Google\Protobuf\Internal\RepeatedField |
|
setItems
A list of reservation slot resources.
| Parameter | |
|---|---|
| Name | Description |
var |
array<ReservationSlot>
|
| Returns | |
|---|---|
| Type | Description |
$this |
|
getKind
The type of resource. Alwayscompute#reservationSlot for a list of reservation slots.
| Returns | |
|---|---|
| Type | Description |
string |
|
hasKind
clearKind
setKind
The type of resource. Alwayscompute#reservationSlot for a list of reservation slots.
| Parameter | |
|---|---|
| Name | Description |
var |
string
|
| Returns | |
|---|---|
| Type | Description |
$this |
|
getNextPageToken
This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request.
Subsequent list requests will have their own nextPageToken to continue paging through the results.
| Returns | |
|---|---|
| Type | Description |
string |
|
hasNextPageToken
clearNextPageToken
setNextPageToken
This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request.
Subsequent list requests will have their own nextPageToken to continue paging through the results.
| Parameter | |
|---|---|
| Name | Description |
var |
string
|
| Returns | |
|---|---|
| Type | Description |
$this |
|
getSelfLink
The server-defined URL for this resource.
| Returns | |
|---|---|
| Type | Description |
string |
|
hasSelfLink
clearSelfLink
setSelfLink
The server-defined URL for this resource.
| Parameter | |
|---|---|
| Name | Description |
var |
string
|
| Returns | |
|---|---|
| Type | Description |
$this |
|
getWarning
An informational warning message.
| Returns | |
|---|---|
| Type | Description |
Warning|null |
|
hasWarning
clearWarning
setWarning
An informational warning message.
| Parameter | |
|---|---|
| Name | Description |
var |
Warning
|
| Returns | |
|---|---|
| Type | Description |
$this |
|